Bug 1251831 - Review Request: rubygem-thread_order - Test helper for ordering threaded code
Summary: Review Request: rubygem-thread_order - Test helper for ordering threaded code
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-10 05:57 UTC by Mamoru TASAKA
Modified: 2015-08-14 08:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-14 08:21:46 UTC
valtri: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2015-08-10 05:57:51 UTC
Spec URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-thread_order.spec
SRPM URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-thread_order-1.1.0-1.fc.src.rpm
Description: 
Test helper for ordering threaded code.
Fedora Account System Username: mtasaka

Comment 1 František Dvořák 2015-08-10 15:08:14 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
     OK, it's in the generated docs.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     thread_order-doc
[x]: Package functions as described.
     README example OK.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-thread_order-1.1.0-1.fc24.noarch.rpm
          rubygem-thread_order-doc-1.1.0-1.fc24.noarch.rpm
          rubygem-thread_order-1.1.0-1.fc24.src.rpm
rubygem-thread_order.src: W: strange-permission rubygem-thread_order.spec 600
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-thread_order-doc.noarch: W: invalid-url URL: https://github.com/JoshCheek/thread_order <urlopen error [Errno -5] No address associated with hostname>
rubygem-thread_order.noarch: W: invalid-url URL: https://github.com/JoshCheek/thread_order <urlopen error [Errno -5] No address associated with hostname>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

(Just naughty mock, all OK here.)


Requires
--------
rubygem-thread_order-doc (rpmlib, GLIBC filtered):
    rubygem-thread_order

rubygem-thread_order (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-thread_order-doc:
    rubygem-thread_order-doc

rubygem-thread_order:
    rubygem(thread_order)
    rubygem-thread_order



Source checksums
----------------
https://rubygems.org/gems/thread_order-1.1.0.gem :
  CHECKSUM(SHA256) this package     : d1310c004d880eb23e12d7fa2bd5771474f0763a1ff00bdcadb2287bead01fd9
  CHECKSUM(SHA256) upstream package : d1310c004d880eb23e12d7fa2bd5771474f0763a1ff00bdcadb2287bead01fd9


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1251831
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

==========

Only minor issue:
rpmlint: rubygem-thread_order.src: W: strange-permission rubygem-thread_order.spec 600

This could get into git repository, but it's just a warning. :-) I think it is expected 644.


All OK. Package APPROVED!

Comment 2 Mamoru TASAKA 2015-08-11 07:50:11 UTC
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-thread_order
Short Description: Test helper for ordering threaded code
Upstream URL: https://github.com/JoshCheek/thread_order
Owners: mtasaka
Branches: f23 f22
InitialCC:

Comment 3 Gwyn Ciesla 2015-08-11 13:02:21 UTC
Git done (by process-git-requests).

Comment 4 Mamoru TASAKA 2015-08-14 08:21:46 UTC
Successfully built, push requested on bodhi.

Thank you for review and git process, closing.


Note You need to log in before you can comment on or make changes to this bug.